Subject: bug#27037: systemd service files installed by guix 0.13.0 cannot used by other distributions

From: 藍挺瑋 <[email-masked]>
Date: Tue, 23 May 2017 23:33:42 +0800

I want to update my unofficial guix packages for Arch and Fedora to
0.13.0, but I found the systemd service files installed by guix 0.13.0
use /var/guix/profiles/per-user/root/guix-profile/bin/guix* instead of
/usr/bin/guix* in ExecStart=. The path /var/guix/profiles don't exist
on systems that don't have guix installed before, and users will have
to manually start guix-daemon and install guix with guix before they
can use the systemd service files. Is it possible to fix systemd
service files, so it can be easily used by packages in other
distributions?